Bug 1274342 - [RFE] add hostname to output
[RFE] add hostname to output
Status: CLOSED CURRENTRELEASE
Product: Restraint
Classification: Community
Component: general (Show other bugs)
0.1.21
Unspecified Unspecified
unspecified Severity unspecified
: 0.1.24
: ---
Assigned To: Bill Peck
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 10:00 EDT by Scott Poore
Modified: 2016-04-20 20:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 03:18:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Poore 2015-10-22 10:00:54 EDT
Would it be possible to have restraint output the name or ID of the host executing the code?  I have a test suite with 5 hosts that dumps a lot of output and it's not always easy to tell which host executes what from the output.  I can tell by looking at the code but, it'd be easier if maybe each line had a hostname or id prefixed to it.

This could be an option and not default.  

Thanks,
Scott
Comment 1 Steeve Goveas 2016-02-26 05:07:52 EST
Is it possible to have separate logs for each host saved as a text file? Having separate logs will make it easier to debug failed tests. We can view server and client logs together for the same test without scrolling the lengthy console output. It becomes more difficult to debug a test failure, when the number of hosts in the job increases. So, separate logs for each host will be very helpful here.
Comment 2 Bill Peck 2016-02-26 08:14:26 EST
steeve: we do record separate logs for each host and task under the job run.  They are broken out by recipeid/taskid and then taskoutput.log.

Are you running with -vv ?  That will output everything to the screen as well which makes a mess when you have more than one recipe running at once.
Comment 3 Bill Peck 2016-02-26 10:18:14 EST
testing a change right now.
Comment 4 Steeve Goveas 2016-02-29 06:44:35 EST
(In reply to Bill Peck from comment #2)
Thanks Bill. This will work.
Comment 8 Dan Callaghan 2016-04-19 03:18:47 EDT
Gerrit review was: https://gerrit.beaker-project.org/4698

This was released in restraint 0.1.24.

Note You need to log in before you can comment on or make changes to this bug.